Get market state
Live state of a Morpho Blue market: total supply and borrow assets, shares, and fee.
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
market-selector*string
Selector formatted as <chain_id>:<market_id>. Example: 1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342.
Format
<chain_id>:<market_id>Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const marketSelector = "1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342";const url = new URL(`${baseUrl}/v0/blue/markets/${marketSelector}/state`);const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"data": {
"chain_id": 1,
"market_id": "string",
"last_indexed_block": "string",
"last_accrual_timestamp": 0,
"total_supply_assets": "string",
"total_supply_shares": "string",
"total_borrow_assets": "string",
"total_borrow_shares": "string",
"fee_wad": "string"
}
}